# gnupg_deletekey

(PECL gnupg >= 0.5)

gnupg_deletekey — Supprime une clé du trousseau

### Description

gnupg_deletekey(resource `$identifier`, string `$key`, bool `$allow_secret`): bool

### Liste de paramètres

`identifier`

  L'identifiant gnupg, généré par un appel à la fonction gnupg_init() ou à la fonction gnupg.

`key`

  La clé à supprimer.

`allow_secret`

  Spécifie s'il faut supprimer les clés secrètes.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Exemples

Exemple #1 Exemple procédural gnupg_deletekey()

`<?php
$res = gnupg_init();
gnupg_deletekey($res, "8660281B6051D071D94B5B230549F9DC851566DC");
?>`

Exemple #2 Exemple orienté objet gnupg_deletekey()

`<?php
$gpg = new gnupg();
$gpg->deletekey("8660281B6051D071D94B5B230549F9DC851566DC");
?>`